# Module Concurrent

Description

  Module for handling multiple concurrent events.

  The Future and Promise API was inspired by https://github.com/couchdeveloper/FutureLib.

Syntax

  ``void` on_failure(`function`(`mixed`:`void`) `f`)```protected` `function`(`mixed`:`void`) Concurrent.global_on_failure`

Description

  Global failure callback, called when a promise without failure callback fails. This is useful to log exceptions, so they are not just silently caught and ignored.